Skip to main content
GET
/
v1
/
content
/
{asset_id}
/
optimization
/
{content_id}
JavaScript
import Profound from '@profoundai/client';

const client = new Profound({
  apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});

const optimization = await client.content.optimization.retrieve(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { asset_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);

console.log(optimization.data);
import os
from profound import Profound

client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"), # This is the default and can be omitted
)
optimization = client.content.optimization.retrieve(
content_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
asset_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(optimization.data)
curl --request GET \
--url https://api.tryprofound.com/v1/content/{asset_id}/optimization/{content_id} \
--header 'X-API-Key: <api-key>'


{
  "data": {
    "content": {
      "value": "<string>"
    },
    "aeo_content_score": {
      "target_zone": {
        "low": 123,
        "high": 123
      },
      "value": 123
    },
    "analysis": {
      "breakdown": [
        {
          "title": "<string>",
          "weight": 123,
          "score": 123
        }
      ]
    },
    "recommendations": [
      {
        "title": "<string>",
        "impact": {
          "section": "<string>",
          "score": 123
        },
        "suggestion": {
          "text": "<string>",
          "rationale": "<string>"
        }
      }
    ],
    "inputs": {
      "topic": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "prompt": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "top_citations": [
        "<string>"
      ],
      "user": {
        "value": "<string>",
        "metadata": {}
      }
    }
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

asset_id
string<uuid>
required
content_id
string<uuid>
required

Response

Successful Response

data
ContentAnalysis · object
required